Page MenuHomePhabricator

Toolforge: migrate bastions to Debian Buster
Open, MediumPublic

Description

Toolforge (and toolsbeta) bastions run Debian Stretch. We need to migrate them to Debian Buster.

Event Timeline

aborrero triaged this task as Medium priority.Feb 26 2021, 11:37 AM
aborrero created this task.
aborrero moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

Mentioned in SAL (#wikimedia-cloud) [2021-02-26T11:39:45Z] <arturo> created puppet prefix 'toolsbeta-bastion' to hold new configuration for buster-based bastions (T275865)

Mentioned in SAL (#wikimedia-cloud) [2021-02-26T11:46:26Z] <arturo> openstack server create --os-project-id toolsbeta --image debian-10.0-buster --flavor g2.cores2.ram4.disk40 --network lan-flat-cloudinstances2b --property description='buster bastion test' toolsbeta-bastion-05 (T275865)

Change 667144 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] toolforge: initial support for Debian Buster on bastions

https://gerrit.wikimedia.org/r/667144

Mentioned in SAL (#wikimedia-operations) [2021-03-11T13:03:51Z] <arturo> copy python-mwclient 0.8.4-1 from stretch-wikimedia to buster-wikimedia for T275865

Mentioned in SAL (#wikimedia-cloud) [2021-03-11T13:10:50Z] <arturo> add jobutils 1.40 to buster-tools aptly repo for T275865

Mentioned in SAL (#wikimedia-cloud) [2021-03-11T13:11:25Z] <arturo> add misctools 1.37 to buster-tools|toolsbeta aptly repo for T275865

Change 667144 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] toolforge: initial support for Debian Buster on bastions

https://gerrit.wikimedia.org/r/667144

Change 670859 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[labs/toollabs@master] misctools: switch away from python3-mysql.connector to python3-mysqldb

https://gerrit.wikimedia.org/r/670859

Change 670859 merged by Arturo Borrero Gonzalez:
[labs/toollabs@master] misctools: switch away from python3-mysql.connector to python3-mysqldb

https://gerrit.wikimedia.org/r/670859

FYI, I looked up list-user-databases. It is part of an ancient method of removing tools https://wikitech.wikimedia.org/wiki/Portal:Toolforge/Admin#Deleting_a_tool. It no longer works with the authentication model of the wikireplicas. It's likely been broken for years. It should just be dropped.

A new tool-deleting process would better be done very differently (and some parts might honestly need cookbooks to go smoothly until a better volunteer-usable process is added).

Mentioned in SAL (#wikimedia-cloud) [2021-03-17T10:34:03Z] <arturo> re-create toolsbeta-bastion-05 (T275865)

This basically works!

Well, what works is the supporting puppet code. I'll leave the task open until actual migration of all VM is completed.

Mentioned in SAL (#wikimedia-cloud) [2021-03-30T11:05:40Z] <arturo> created VM tools-sgebastion-10 as Debian Buster (T275865)

Mentioned in SAL (#wikimedia-cloud) [2021-04-08T09:12:58Z] <arturo> created tools-sgebastion-11 (buster) (T275865)

Mentioned in SAL (#wikimedia-cloud) [2021-04-08T09:20:40Z] <arturo> associate floating IP 185.15.56.66 to tools-sgebastion-10 (T275865)

Mentioned in SAL (#wikimedia-cloud) [2021-04-08T09:22:10Z] <arturo> create DNS A record login-buster.toolforge.org pointing to 185.15.56.66 (tools-sgebastion-10) (T275865)

Mentioned in SAL (#wikimedia-cloud) [2021-04-08T09:24:14Z] <arturo> allocate & associate floating IP 185.15.56.122 for tools-sgebastion-11, also with DNS A record dev-buster.toolforge.org (T275865)